<head>
  <title>poc_3</title>
</head>

<body>
  <p><a href="{{pathFor 'home'}}">Home</a></p>
  <h1>POC 3</h1>
</body>

<template name="Home">
  <ul>
    <li><a href="{{ pathFor "fusekitest1" }}">Simple fuseki client side query</a></li>
    <li><a href="{{ pathFor "fusekitest2" }}">Simple fuseki client to server side query</a></li>
    <li><a href="{{ pathFor "fusekitest3" }}">Form to add triplets</a></li>
  </ul>
</template>

<template name="Fusekitest1">
  <code>{{ query }}</code>
  {{#each fusekiCallResult.results.bindings }}
    <p>
      <ul>
        <li>{{ subject.type }} = {{ subject.value }}</li>
        <li>{{ predicate.type }} = {{ predicate.value }}</li>
        <li>{{ object.type }} = {{ object.value }}</li>
      </ul>
    </p>
  {{/each}}
</template>

<template name="Fusekitest2">
  <code>{{ query }}</code>
  {{#each fusekiCallResult.results.bindings }}
    <p>
      <ul>
        <li>{{ subject.type }} = {{ subject.value }}</li>
        <li>{{ predicate.type }} = {{ predicate.value }}</li>
        <li>{{ object.type }} = {{ object.value }}</li>
      </ul>
    </p>
  {{/each}}
</template>

<template name="Fusekitest3">
  <form data-action="insert-triplet">
    <p>Name : <input type="text" name="name" required></p>
    <p>Age : <input type="number" name="age" required></p>
    <p><input type="submit" value="Send"></p>
  </form>
  <h2>Persons</h2>
  <ul>
  {{#each personsWithAge.results.bindings }}
    <li>{{ name.value }} : {{ age.value }}
      {{> Fusekitest3children}}
    </li>
  {{/each}}
  </ul>
  <h2>Triplets</h2>
  {{#each fusekiCallResult.results.bindings }}
    <p>
      <button data-action="delete">&times;</button>
      <ul>
        <li>{{ subject.type }} = {{ subject.value }}</li>
        <li>{{ predicate.type }} = {{ predicate.value }}</li>
        <li>{{ object.type }} = {{ object.value }}</li>
      </ul>
    </p>
  {{/each}}
</template>

<template name="Fusekitest3children">
  <ul>
    {{#each children.results.bindings}}
      <li>{{ name.value }} : {{ age.value }}</li>
      {{> Fusekitest3children}}
    {{/each}}
  </ul>
  <form data-action="add-child">
    <select name="child" required>
      {{#each personsWithAge.results.bindings}}
        <option value="{{ name.value }}">{{ name.value }}</option>
      {{/each}}
    </select>
    <input type="submit" value="Add child">
  </form>
</template>
